Kerbal Space Program - Bug #5844

Spaceplane Hangar Issue
11/06/2015 08:20 AM - simémon

Status: Closed Start date: 11/06/2015
Severity: Low % Done: 100%
Assignee:

Category: Buildings

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

After designing any craft in the spaceplane hangar (even a single pod) | hit the 'Launch’ button and the game hangs. Any kind of
atmosferic flight with horizontal takeoff is imposible.

KSP version:

build id = 00861

2015.06.23 at 17:19:17 CEST
Branch: master

Version 1.0.4 (bought on steam)

Using Windows 7 Profesional Service Pack 1 64bit system
Intel Core i7-3770 CPU @ 3.4GHz 16GB Ram

Related issues:

Related to Kerbal Space Program - Bug #5055: "<" and ">" in vessel/flag name ... Closed 05/26/2015
Related to Kerbal Space Program - Bug #2513: Client locks up when creating a ... Closed 06/05/2014
Related to Kerbal Space Program - Bug #1778: IOException not caught for ship ... Closed 11/14/2013
History

#1 - 11/16/2015 10:29 AM - sal_vager

- Status changed from New to Need More Info
- Severity changed from High to Low

This is not reproducible here.

Ensure you have unzipped KSP to a location where it is permitted to write files, not the desktop or Program Files, and that you have adequate hard
drive space remaining.

Please provide your output_log.txt the next time this occurs.
#2 - 11/16/2015 06:52 PM - simémon

- File ksp_bug.mp4 added
- File output_log.txt added

This occurs every time. Building planes is impossible.
Video of the 'hang' moment added - anything built makes the same result. Output_log provided.

#3 - 11/16/2015 09:38 PM - Squelch

| am unable to replicate this on a fresh install of 1.0.5.1028 with the supplied save. Could you please attempt to repeat the same steps with a sandbox
game?

Looking at the log where this is failing, it seems that your name has an illegal filesystem character

IsolatedStorageException: Could not find a part of the path "D:\SteamLibrary\steamapps\common\Kerbal Space Pro
gram\saves\Sim"moN\Ships\SPH\Auto-Saved Ship.craft"
This is likely to cause issues in other titles. Could you please modify the name of the save and try again?

#6 - 11/16/2015 09:50 PM - Squelch

- Related to Bug #5055: "<" and ">" in vessel/flag name corrupts the save-file added

#8 - 11/16/2015 09:52 PM - Squelch

- Related to Bug #2513: Client locks up when creating a new save containing a "?" added

#9 - 11/16/2015 09:52 PM - Squelch
- Related to Bug #1778: IOException not caught for ship names containing "?" added

#14 - 11/16/2015 11:36 PM - sim6mon

| had no illegal filesystem characters in craft names but it turns out the 'SPH' folder was missing (somehow) and the game could not save the
'auto-saved ship.craft' file. | created the folder and everything seems to be working normaly. Thanks for the hints about the save.

#15 - 11/29/2015 01:06 AM - ared38
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

New to this system so sorry if | messed this up. | saw the same problem, down to the SPH folder missing. Fixed by adding it manually. This is a very
annoying bug.

#16 - 11/30/2015 08:12 AM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

ared38 wrote:

New to this system so sorry if | messed this up. | saw the same problem, down to the SPH folder missing. Fixed by adding it manually. This is a
very annoying bug.

Under what circumstances did this occur please? Was it a brand new game, an imported game from another version? What steps would we need to
take to reproduce this?

Could you also provide us with a log?

#17 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#18 - 10/13/2016 01:44 PM - sal_vager
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

IsolatedStorageException: Could not find a part of the path "D:\SteamLibrary\steamapps\common\Kerbal Space
Program\saves\Sim"moN\Ships\SPH\Auto-Saved Ship.craft".

at System.|O.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, Boolean anonymous,
FileOptions options) [0x00000] in <filename unknown>:0

This was fixed, and the game will create the folder if it is missing.

#19 - 10/13/2016 07:52 PM - sal_vager
- Status changed from Resolved to Ready to Test

- % Done changed from 100 to 80

#20 - 12/03/2016 08:09 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
